Loading...
Searching...
No Matches
FluxCaptureMapEntry Struct Reference

Internal hash table entry for flux capture lookup. More...

`#include <aaruformat/structs/flux.h>`

## Data Fields

FluxCaptureKey | key
uint32_t | index
UT_hash_handle | hh

## Detailed Description

Internal hash table entry for flux capture lookup.

This structure is used internally by the library to provide O(1) lookup of flux captures by their identifier tuple. It maps a FluxCaptureKey to an index in the flux_entries array.

Note
  This structure is opaque to API users and is only used internally.

Definition at line 33 of file flux.c.

## Field Documentation

## hh

UT_hash_handle FluxCaptureMapEntry::hh

Definition at line 37 of file flux.c.

## index

uint32_t FluxCaptureMapEntry::index

Definition at line 36 of file flux.c.

Referenced by find_flux_entry_by_key(), and flux_map_add().

## key

FluxCaptureKey FluxCaptureMapEntry::key

Definition at line 35 of file flux.c.

Referenced by flux_map_add().

The documentation for this struct was generated from the following file:

- src/blocks/flux.c